Subject: Problems with s2ibis2

From: [email-masked] (Zanogue Maria-Francisca)
Date: Fri, 14 Mar 1997 15:27:52 +0100

----------
X-Sun-Data-Type: text
X-Sun-Data-Description: text
X-Sun-Data-Name: text
X-Sun-Charset: us-ascii
X-Sun-Content-Lines: 19

Hello,
	I have some problems with s2ibis2 version 1.0, and hope you can help
 me. I'm trying to create a model for an ECL output gate, and although all 
the intermediate files seem to be OK, I get a wrong .ibs file (it means a lot
 of zeros added to the voltage column in pullup and pulldown curves, and for 
the pulldown curve the 'voltage' and 'I(typ)' fields are swapped). 
Also, I run the program on Solaris 2.1 and on SunOS4 with the same files, and 
in one case I get a 'Bus Error' message and the program crashes, and in the 
other case I simply get wrong results, but there's neither crash nor error 
message.
	As intermediate files are correct, I don't think the problem is in
the spice circuit. 
	Does anyone have experience running s2ibis2 with ECL gates? 
I'd like to see an input file for an ECL model, as it's my first 
attempt to run the s2ibis converter and I'm not sure mine is correct. I've
attached it in case you want to have a look at it.
	Thank you all.

		Francisca.
----------
X-Sun-Data-Type: default
X-Sun-Data-Description: default
X-Sun-Data-Name: eclinps.s2i
X-Sun-Charset: us-ascii
X-Sun-Content-Lines: 45

|INPUT FILE FOR S2IBIS2 CONVERSION FOR AN ECL GATE
[IBIS Ver] 2.1
[File rev] 0
[Spice type] PSpice
[Spice command] pspice %s %s 
[Iterate]
[Sim time] 5ns
[Temperature Range] 27 27 27
[Vil] -1.7V  -1.7V  -1.7V
[Vih] -0.9V  -0.9V  -0.9V
[Tr] 0.1ns 0.1ns 0.1ns
[Tf] 0.1ns 0.1ns 0.1ns
[Component] eclinps_gate
[Spice file] peclinps.cir
[Pin mapping]
1 NC   NC    NC   NC
2 vee  vcc   NC   NC
3 vee  vcc   NC   NC
4  NC  vcc   NC   NC
5 vee   NC   NC   NC     

[Pin]
1   1   input  dummy
2  11  out1   ecl_output 
-> 1
3  77  out2   ecl_output
-> 1
4  100  vcc    POWER
5  113  vee    GND

[Model] dummy 
[NoModel]

[Model] ecl_output
[Model Type] Output_ECL
[Pullup Reference] 0V 0V 0V
[Pulldown Reference]  0V 0V 0V 
[POWER Clamp Reference] 0V 0V 0V
[GND Clamp Reference] -4.5V -4.5V -4.5V
[Rref] 50